package com.njcn.process.service.flowable;



import com.njcn.common.pojo.response.HttpResult;
import com.njcn.process.pojo.vo.flowable.FlowTaskVo;
import org.flowable.task.api.Task;

import java.util.Map;

/**
 * @author Tony
 * @date 2021-04-03 14:42
 */
public interface IFlowTaskService {

    Boolean getNextFlowNodeByStart(FlowTaskVo flowTaskVo);


    /**
     * 流程节点信息
     * @param procInsId
     * @return
     */
    Map<String, Object> flowXmlAndNode(String procInsId, String deployId);



    Boolean deleteDeployment();

    /**
     * 审批任务
     *
     *
     */
    Boolean complete(FlowTaskVo taskVo);


    /**
     * 获取任务
     * @author cdf
     * @date 2023/4/14
     */
    Task getTask(String proIndex);



}
